Configure Single Sign-On (SSO) and SCIM provisioning for your organization using Google Workspace, Microsoft Entra ID, Okta, or other SAML identity providers.
This feature is only available to Enterprise users.
This feature is not applicable to Cognition Platform plans. For Cognition Platform, SSO should be configured and managed in your Cognition Platform settings instead.
Google SSO
Microsoft Entra ID
Okta SSO
Microsoft Entra ID SCIM
Okta SCIM
SCIM API
Duo
PingID
Devin Desktop now supports sign in with Single Sign-On (SSO) via SAML. If your organization uses Microsoft Entra, Okta, Google Workspaces, or some other identity provider that supports SAML, you will be able to use SSO with Devin Desktop.
Devin Desktop only supports SP-initiated SSO; IDP-initiated SSO is NOT currently supported.
On the google admin console (admin.google.com) click Apps -> Web and mobile apps on the left.
Click on Add app, and then Add custom SAML app.
Fill out App name with Windsurf, and click Next.The next screen (Google Identity Provider details) on Google’s console page has data you’ll need to copy to Devin Desktop’s SSO settings on https://windsurf.com/team/settings. In Devin Desktop’s SSO settings, turn on the SAML Settings toggle first so the fields can be edited.
Copy SSO URL from Google’s console page to Devin Desktop’s settings under SSO URL
Copy Entity ID from Google’s console page to Devin Desktop’s settings under Idp Entity ID
Copy Certificate from Google’s console page to Devin Desktop’s settings under X509 Certificate
Click Continue on Google’s console page
The next screen on Google’s console page requires you to copy data from Codeium’s settings page
Copy Callback URL from Codeium’s settings page to Google’s console page under ACS URL
Copy SP Entity ID from Codeium’s settings page to Google’s console page under SP Entity ID
Change Name ID format to EMAIL
Click Continue on Google’s console page
The next screen on Google’s console page requires some configuration
Click on Add Mapping, select First name and set the App attributes to firstName
Click on Add Mapping, select Last name and set the App attributes to lastName
Click Finish
On Codeium’s settings page, with the SAML Settings toggle turned on, click Test to make sure login works as expected. The Save button only appears after the test succeeds; click Save to apply the configuration. All users now will have SSO login enforced.
Devin Desktop Enterprise now supports sign in with Single Sign-On (SSO) via SAML. If your organization uses Microsoft Entra ID (formerly Azure AD), you will be able to use SSO with Devin Desktop.
Devin Desktop only supports SP-initiated SSO; IDP-initiated SSO is NOT currently supported.
In the Devin Desktop SSO settings page, turn on the SAML Settings toggle so the fields can be edited, then fill in:
Pick your SSO ID: Choose a unique identifier for your team’s login portal (this cannot be changed later)
IdP Entity ID: Copy the value from Microsoft Entra ID under Set up Devin Desktop → Microsoft Entra Identifier
The IdP Entity ID URL must end with a trailing / (e.g., https://sts.windows.net/{tenant-id}/). If the URL does not include the trailing slash, add it manually.
SSO URL: Copy the Login URL value from Microsoft Entra ID
X509 Certificate: Download the SAML certificate (Base64) from Microsoft Entra ID, open the file, and paste the text content here
Test the configuration: In the Devin Desktop portal, click Test to verify the SSO configuration works as expected.
After the test succeeds, click Save to apply the configuration. The Save button only appears after a successful test.
Important: Do not log out or close the Devin Desktop settings page until you’ve successfully tested the login. If the test fails, you may need to troubleshoot your configuration before proceeding.
Devin Desktop Enterprise now supports sign in with Single Sign-On (SSO) via SAML. If your organization uses Microsoft Entra, Okta, Google Workspaces, or some other identity provider that supports SAML, you will be able to use SSO with Devin Desktop.
Devin Desktop only supports SP-initiated SSO; IDP-initiated SSO is NOT currently supported.
You should be redirected to the Sign on tab under your custom SAML application. Now you’ll want to take the info in this page and fill it out in Devin Desktop’s SSO settings.
Turn on the SAML Settings toggle so the fields can be edited
Copy the text after ‘Issuer’ in Okta’s application page and paste it under Idp Entity ID
Copy the text after ‘Sign on URL’ in Okta’s application page and paste it under SSO URL
Download the Signing Certificate and paste it under X509 certificate
Test the login with the Test button. You should see a success message:
Click Save to apply the configuration. The Save button only appears after a successful test.
At this point everything should have been configured, and can now add users to the new Devin Desktop Okta application.You should share your organization’s custom Login Portal URL with your users and ask them to sign in via that link.
Users who login to Devin Desktop via SSO will be auto-approved into the team.
Login with SAML config failed: Firebase: Error (auth/operation-not-allowed)
This points to your an invalid SSO ID, or your SSO URL being incorrect, make sure it is alphanumeric and has no extra spaces or invalid characters. Please go over the steps in the guide again and make sure you use the correct values.
This points to your IdP entity ID being invalid, please make sure you copy it correctly from the Okta portal, without any extra characters or spaces before or after the string.
Devin Desktop supports SCIM synchronization for users and groups with Microsoft Entra ID. It isn’t necessary to setup SSO to use SCIM synchronization, but it is highly recommended.You’ll need:
Admin access to Microsoft Entra ID
Admin access to Devin Desktop
An existing Devin Desktop Application on Entra ID (normally from your existing SSO application)
Service Key Permissions RequiredThe service key used for SCIM provisioning must have the following permissions:
Teams Read-Only - Required to read user and group information
Teams Update - Required to create and update users and groups
Teams Delete - Required to deactivate/delete users and groups
You can create a custom role with these permissions or use an existing admin role that includes them.
Step 2: Navigate to the existing Devin Desktop Application
Go to Microsoft Entra ID on Azure, click on Enterprise applications on the left sidebar, and then click on the existing Devin Desktop application in the list.
Click on Get started under Provision User Accounts in the middle (step 3), and then click on Get started again.
Under the Provisioning setup page, select the following options.Provisioning Mode: AutomaticAdmin Credentials > Tenant URL: https://server.codeium.com/scim/v2
Leave the Azure provisioning page open, now go to the Devin Desktop web portal, and click on the profile icon in the NavBar on the top of the page.Under Team Settings, select Service Key and click on Add Service Key. Enter any key name (such as ‘Azure SCIM Provisioning’), select the “SCIM Provisioning” role you created earlier, and click Create Service Key. Copy the output key, go back to the Azure page, paste it to Secret Token.
(What you should see after creating the key on Devin Desktop)On the Provisioning page, click on Test Connection and that should have verified the SCIM connection.Now above the Provisioning form click on Save.
After clicking on Save, a new option Mappings should have appeared in the Provisioning page. Expand Mappings, and click on Provision Microsoft Entra ID Users
Under attribute Mappings, delete all fields under displayName, leaving only the fields userName, active, and displayName.
For active, now click on Edit. Under Expression, modify the field to
NOT([IsSoftDeleted])
Then click Ok.Your user attributes should look like
In the Attribute Mapping page, click on Save on top, and navigate back to the Provisioning page.Now click on the same page, under Mappings click on Provision Microsoft Entra ID Groups. Now only click delete for externalId, and click Save on top. Navigate back to the Provisioning page.
On the Provisioning page at the bottom, there should also be a Provisioning Status toggle. Set that to On to enable SCIM syncing. Now every 40 minutes your users and groups for the Entra ID application will be synced to Devin Desktop.
Click on Save to finish, you have now enabled user and group syncing for SCIM. Only users and groups assigned to the application will be synced to Devin Desktop. Note that removing users only disables them access to Devin Desktop (and stops them from taking up a seat) rather than deleting users due to Azure’s SCIM design.
Devin Desktop supports SCIM synchronization for users and groups with Okta. It isn’t necessary to setup SSO to use SCIM synchronization, but it is highly recommended.You’ll need:
Admin access to Okta
Admin access to Devin Desktop
An existing Devin Desktop Application on Okta (normally from your existing SSO application)
Under the general tab, App Settings click on Edit on the top right. Then tick the ‘Enable SCIM Provisioning’ checkbox, then click Save. A new provisioning tab should have showed up on the top.Now go to provisioning, click Edit and input in the following fields:SCIM connector base URL: https://server.codeium.com/scim/v2Unique identifier field for users: emailSupported provisioning actions: Push New Users, Push Profile Updates, Push GroupsAuthentication Mode: HTTP HeaderFor HTTP Header - Authorization, you can generate the token from
Under the provisioning tab, on the left there should be two new tabs. Click on To App, and Edit Provisioning to App. Tick the checkbox for Create Users, Update User Attributes, and Deactivate Users, and click Save.After this step, all users assigned to the group will now be synced to Devin Desktop.
In order to sync groups to Devin Desktop, you will have to specify which groups to push. Under the application, click on the Push Groups tab on top. Now click on + Push Groups -> Find Groups by name. Filter for the group you would like to add, make sure Push group memberships immediately is checked, and then click Save. The group will be created and group members will be synced to Devin Desktop. Groups can then be used to filter for group analytics in the analytics page.
This guide shows how to create and maintain groups in Devin Desktop with the SCIM API.There are reasons one may want to provision groups manually rather than with their Identity Provider (Azure/Okta). Companies may want Groups provisioned from a different internal source (HR website, Sourcecode Management Tool etc.) that Devin Desktop doesn’t have access to, or companies may want finer control over Groups than what their Identity Provider provides. Groups can thus be created with an API via HTTP request instead. The following provides examples on the HTTP request via CURL.There are 5 main APIs here, Create Group, Add group members, Replace group members, Delete Group, and List Users in a Group.
curl -X GET -H "Authorization: Bearer <api secret key>" "https://server.codeium.com/scim/v2/Groups/<group_id>"
You’ll have to at least create the group first, and then replace group to create a group with members in them. You’ll also need to URL encode the group names if your group name has a special character like space, so a Group name such as ‘Engineering Group’ will have to be ‘Engineering%20Group’ in the URL.Note that users need to be created in Devin Desktop (through SCIM or manually creating the account) before they can be added to a group.
There are also APIs for users as well. The following are some of the common SCIM APIs that Devin Desktop supports.Disable a user (Enable by replacing false to true):
The cliActive attribute controls whether a user can access Devin CLI. It is independent of the active attribute — disabling CLI access does not affect the user’s seat or their access to other Devin Desktop products. If cliActive is not set for a user, they follow the team’s default CLI access policy.Set a per-user Agent Compute Unit (ACU) cycle limit:
The acuCycleLimit attribute (decimal, optional) overrides the ACU limit a user can consume in the current billing cycle. It only applies to teams on ACU billing — setting it for a team that is not on ACU billing is rejected with HTTP 400 (scimTypeinvalidValue); clearing it is always allowed. The value must be a non-negative finite number; 0 is valid and blocks the user for the current billing cycle. Numeric strings such as "250" are also accepted, since some identity providers (for example Microsoft Entra) send custom attributes as strings. The attribute is supported on POST /Users (create a user with an initial limit), PUT /Users/<user api key> (omitted or null = preserved, value = updated), and PATCH /Users/<user api key> (either a pathless {"acuCycleLimit": 100} value or the path-based operations shown above). To clear the override, use a remove operation on acuCycleLimit as shown above; a replace with value null is rejected by SCIM request validation. acuCycleLimit is omitted from responses when the user has no explicit override (the team/group default applies).The read-only effectiveAcuCycleLimit attribute (decimal) is the limit actually enforced for the user: the per-user override when set, otherwise the most restrictive of the user’s group limits and the team limit. It is returned on single-user reads (GET /Users/<user api key> and filtered lookups) but not in unfiltered GET /Users list pages. Do not map effectiveAcuCycleLimit in your identity provider’s push/provisioning profile — it cannot be written.In Okta or Microsoft Entra, acuCycleLimit is configured as a custom SCIM attribute mapping on the user profile.Create a user:
Go to https://windsurf.com/team/settings. Under Service Key Configuration, click on Add Service Key. Enter any key name (such as ‘Azure Provisioning Key’) and click Create Service Key. Copy the output key and save it, you can now use the key to authorize the above APIs.
This guide assumes that you have Duo configured and acts as your organizational IDP, or has external IDP configured.You will need administrator access to both Duo and Devin Desktop accounts.
Navigate to Applications, and add a Generic SAML service provider
Navigate to SSO in Team Settings
When enabling SAML for the first time, you will be required to set up your SSO ID. You will not be able to change it later.It is advised to set this to your organization or team name with alphanumeric characters only.
Copy the Entity ID value from the Duo portal and paste it into the IdP Entity ID field in the Devin Desktop portal.
Copy the Single Sign-On URL value from the Duo portal and paste it into the SSO URL field in the Devin Desktop portal.
Copy the certificate value from the Duo portal and paste it in the X509 Certificate field in the Devin Desktop portal
Copy the SP Identity ID value from the Devin Desktop portal and paste it into the Entity ID field in the Duo portal.
Copy the Callback URL (Assertion Consumer Service URL) from the Devin Desktop portal and paste it into the Assertion Consumer Service (ACS) URL field in the Duo portal.
In the Duo portal, configure the attribute statements as following:
Enable the SAML login in the Devin Desktop portal so you can test it.
NOTE: DO NOT LOGOUT OR CLOSE THE WINDOW AT THIS POINT.If you get an error or it times out, troubleshoot your settings, otherwise you have to disable your SAML Settings in the Devin Desktop portal.If you logout or close the window without confirming a successful test - you may get locked out.
Once your test was successfully completed, you may logout. You can now use SSO sign in when browsing to your team/organization page with the SSO ID you have configured in step 3.
This guide assumes that you have PingID configured and acts as your organizational IDP, or has external IDP configured.You will need administrator access to both PingID and Devin Desktop accounts.
Navigate to Applications and add Devin Desktop as a SAML Application
Navigate to SSO in Team Settings
When enabling SAML for the first time, you will be required to set up your SSO ID. You will not be able to change it later.
It is advised to set this to your organization or team name with alphanumeric characters only.
In PingID - choose to manually enter the configuration and fill out the fields with the following values:
ACS URLs - this is the Callback URL (Assertion Consumer Service URL) from the Devin Desktop portal.
Entity ID - this is the SP Entity ID from the Devin Desktop portal.
Copy the Issuer ID from PingID to the IdP Entity ID value in the Devin Desktop portal.
Copy the Single Signon Service value from PingID to the SSO URL value in the Devin Desktop portal.
Download the Signing Certificate from PingID as X509 PEM (.crt), open the file and copy its contents to the X509 Certificate value in the Devin Desktop portal.
Note: make sure you have the fill begin and end lines with 5 dashes (-) and no other characters are copied!
In attribute mappings, make sure to map:
saml_subject - Email Address
firstName - Given Name
lastName - Family Name
Add/edit any other policies and access as required by your setup/organization
Enable the SAML login in the Devin Desktop portal so you can test it.
NOTE: DO NOT LOGOUT OR CLOSE THE WINDOW AT THIS POINT.If you get an error or it times out, troubleshoot your settings, otherwise you have to disable your SAML Settings in the Devin Desktop portal.If you logout or close the window without confirming a successful test - you may get locked out.
Once your test was successfully completed, you may logout. You can now use SSO sign in when browsing to your team/organization page with the SSO ID you have configured in step 3.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Devin Docs","colors":{"primary":"#317CFF","light":"#317CFF","dark":"#317CFF"},"logo":{"light":"https://mintcdn.com/cognitionai/Hhrl_8XUBqA4VQ6v/logo/devin.png?fit=max\u0026auto=format\u0026n=Hhrl_8XUBqA4VQ6v\u0026q=85\u0026s=d640ec685cb70a1a33e7ad5a1dc931a1","dark":"https://mintcdn.com/cognitionai/FxQ7nXMRUlEte9xx/logo/devin-light.png?fit=max\u0026auto=format\u0026n=FxQ7nXMRUlEte9xx\u0026q=85\u0026s=934b3145a143dfd32339d13482b3d15f"},"favicon":"https://mintcdn.com/cognitionai/Hhrl_8XUBqA4VQ6v/logo/favicon.svg?fit=max\u0026auto=format\u0026n=Hhrl_8XUBqA4VQ6v\u0026q=85\u0026s=ab641f30c01bf5374b90b62209db569e","api":{"playground":{"display":"simple"},"mdx":{"auth":{"method":"bearer"},"server":"https://api.devin.ai"}},"background":{"color":{"light":"#FCFCFC","dark":"#141414"}},"navbar":{"links":[{"href":"mailto:support@cognition.ai","label":"Support"}],"primary":{"type":"button","label":"Devin","href":"https://app.devin.ai"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/cognition-ai-labs","x":"https://x.com/cognition_labs"}},"seo":{"metatags":{"canonical":"https://docs.devin.ai"}},"contextual":{"options":["copy","view","devin","windsurf","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"get-started/devin-intro"},{"language":"es","href":"es/get-started/devin-intro"},{"language":"ja","href":"ja/get-started/devin-intro"},{"language":"zh","href":"zh/get-started/devin-intro"},{"language":"fr","href":"fr/get-started/devin-intro"},{"language":"de","href":"de/get-started/devin-intro"},{"language":"pt-BR","href":"pt-BR/get-started/devin-intro"},{"language":"it","href":"it/get-started/devin-intro"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cognitionai","hasAudioNarration":false,"actualSubdomain":"cognitionai","customDomains":["docs.devin.ai"],"gitSource":{"type":"github","owner":"usacognition","repo":"devin-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae019e108f85038a8c40664","collectionId":"735d6aa6-e5c1-4481-a54d-5a9c28dfe3d1","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae019e108f85038a8c40664"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae0783c2ea1296893e9fbe9","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"en","tag":"API","count":318},{"language":"de","tag":"API","count":304},{"language":"es","tag":"API","count":304},{"language":"fr","tag":"API","count":304},{"language":"it","tag":"API","count":304},{"language":"ja","tag":"API","count":304},{"language":"pt-BR","tag":"API","count":304},{"language":"zh","tag":"API","count":304},{"language":"en","tag":"Desktop","count":104},{"language":"de","tag":"Desktop","count":104},{"language":"es","tag":"Escritorio","count":104},{"language":"fr","tag":"Desktop","count":104},{"language":"it","tag":"Desktop","count":104},{"language":"ja","tag":"デスクトップ","count":104},{"language":"pt-BR","tag":"Desktop","count":104},{"language":"zh","tag":"桌面版","count":104},{"language":"en","tag":"Cloud","count":88},{"language":"de","tag":"Cloud","count":88},{"language":"es","tag":"Cloud","count":88},{"language":"fr","tag":"Cloud","count":88},{"language":"it","tag":"Cloud","count":88},{"language":"ja","tag":"クラウド","count":88},{"language":"pt-BR","tag":"Cloud","count":88},{"language":"zh","tag":"云","count":88},{"language":"en","tag":"Enterprise","count":60},{"language":"de","tag":"Enterprise","count":60},{"language":"es","tag":"Enterprise","count":60},{"language":"it","tag":"Enterprise","count":60},{"language":"ja","tag":"Enterprise","count":60},{"language":"pt-BR","tag":"Enterprise","count":60},{"language":"zh","tag":"企业版","count":60},{"language":"fr","tag":"Enterprise","count":55},{"language":"en","tag":"Legacy API v2","count":49},{"language":"de","tag":"Legacy API v2","count":49},{"language":"es","tag":"API heredada v2","count":49},{"language":"fr","tag":"Ancienne API v2","count":49},{"language":"it","tag":"API legacy v2","count":49},{"language":"ja","tag":"レガシーAPI v2","count":49},{"language":"pt-BR","tag":"API legada v2","count":49},{"language":"zh","tag":"旧版 API v2","count":49},{"language":"en","tag":"Identity \u0026 Access","count":43},{"language":"de","tag":"Identität \u0026 Zugriff","count":43},{"language":"es","tag":"Identidad y acceso","count":43},{"language":"fr","tag":"Identité et accès","count":43},{"language":"it","tag":"Identità e accessi","count":43},{"language":"ja","tag":"アイデンティティとアクセス","count":43},{"language":"pt-BR","tag":"Identidade e acesso","count":43},{"language":"zh","tag":"身份与访问控制","count":43},{"language":"en","tag":"CLI","count":39},{"language":"de","tag":"Umgebungsverwaltung","count":39},{"language":"de","tag":"CLI","count":39},{"language":"es","tag":"Gestión de Environment","count":39},{"language":"es","tag":"CLI","count":39},{"language":"fr","tag":"Gestion de l’environnement","count":39},{"language":"fr","tag":"CLI","count":39},{"language":"it","tag":"Gestione degli ambienti","count":39},{"language":"it","tag":"CLI","count":39},{"language":"ja","tag":"環境管理","count":39},{"language":"ja","tag":"CLI","count":39},{"language":"pt-BR","tag":"Gerenciamento de ambiente","count":39},{"language":"pt-BR","tag":"CLI","count":39},{"language":"zh","tag":"环境管理","count":39},{"language":"zh","tag":"CLI","count":39},{"language":"en","tag":"Devin Desktop","count":38},{"language":"de","tag":"Devin Desktop","count":38},{"language":"es","tag":"Devin Desktop","count":38},{"language":"fr","tag":"Devin Desktop","count":38},{"language":"it","tag":"Devin Desktop","count":38},{"language":"ja","tag":"Devin Desktop","count":38},{"language":"pt-BR","tag":"Devin Desktop","count":38},{"language":"zh","tag":"Devin Desktop","count":38},{"language":"en","tag":"Environment Management","count":36},{"language":"en","tag":"Configuration","count":35},{"language":"es","tag":"Primeros pasos","count":33},{"language":"de","tag":"Agent Lifecycle","count":31},{"language":"fr","tag":"Cycle de vie de l’agent","count":31},{"language":"it","tag":"Ciclo di vita dell'agente","count":31},{"language":"ja","tag":"Agentのライフサイクル","count":31},{"language":"pt-BR","tag":"Ciclo de vida do agente","count":31},{"language":"zh","tag":"Agent 生命周期","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":".gallery-page-title{font-size:36px;font-weight:700;letter-spacing:-.02em;margin-bottom:12px;color:#18181b}.dark .gallery-page-title,[data-theme=dark] .gallery-page-title{color:#fff}.gallery-page-subtitle{font-size:16px;color:#64748b;max-width:600px;margin:0 auto}.dark .gallery-page-subtitle,[data-theme=dark] .gallery-page-subtitle{color:#e4e4e7}.gallery-features-label{font-size:12px;color:#94a3b8;margin-right:4px}.dark .gallery-features-label,[data-theme=dark] .gallery-features-label{color:#71717a}.gallery-chip,.gallery-feature-chip{display:inline-block;padding:6px 14px;border-radius:20px;border:1px solid #e2e8f0;background:0 0;color:#64748b;font-size:12px;font-weight:500;cursor:pointer;transition:all .15s;white-space:nowrap;user-select:none}.dark .gallery-chip,[data-theme=dark] .gallery-chip{border-color:#3f3f46;color:#a1a1aa}.gallery-chip:hover{border-color:#94a3b8;color:#334155}.dark .gallery-chip:hover,[data-theme=dark] .gallery-chip:hover{border-color:#71717a;color:#d4d4d8}.gallery-chip.active{background:#317cff;border-color:#317cff;color:#fff}.gallery-feature-chip{padding:4px 12px;border-radius:16px;font-size:11px}.dark .gallery-feature-chip,[data-theme=dark] .gallery-feature-chip{border-color:#3f3f46;color:#a1a1aa}.gallery-feature-chip.active,.gallery-feature-chip:hover{border-color:#317cff;color:#317cff}.gallery-feature-chip.active{background:rgba(49,124,255,.1)}@media (max-width:640px){#category-filters,#feature-filters{flex-wrap:nowrap!important;overflow-x:auto!important;-webkit-overflow-scrolling:touch;scrollbar-width:none;-ms-overflow-style:none;padding-bottom:4px}#category-filters::-webkit-scrollbar,#feature-filters::-webkit-scrollbar{display:none}}@media (max-width:900px){#gallery-grid{grid-template-columns:repeat(3,1fr)!important}}@media (max-width:480px){#gallery-grid{grid-template-columns:1fr!important}#category-filters,#feature-filters{justify-content:flex-start!important;overflow-x:auto;flex-wrap:nowrap!important;-webkit-overflow-scrolling:touch;scrollbar-width:none}#category-filters::-webkit-scrollbar,#feature-filters::-webkit-scrollbar{display:none}}.gallery-card{display:block;text-decoration:none!important;color:inherit!important;height:100%}.gallery-card-inner{display:flex;flex-direction:column;height:180px;padding:18px;border-radius:10px;border:1px solid #e2e8f0;background:#fff;transition:all .2s;overflow:hidden;position:relative}.dark .gallery-card-inner,[data-theme=dark] .gallery-card-inner{border-color:#27272a;background:#18181b}.gallery-card:hover .gallery-card-inner{border-color:#94a3b8;box-shadow:0 4px 16px rgba(0,0,0,.06);transform:translateY(-1px)}.dark .gallery-card:hover .gallery-card-inner,[data-theme=dark] .gallery-card:hover .gallery-card-inner{border-color:#52525b;box-shadow:0 4px 16px rgba(0,0,0,.3)}.gallery-card-cat,.gallery-card-title{display:block;font-weight:600;margin-bottom:6px}.gallery-card-cat{font-size:10px;text-transform:uppercase;letter-spacing:.05em;color:#317cff}.gallery-card-cat[data-cat=project-management]{color:#818cf8}.gallery-card-cat[data-cat=automations]{color:#f59e0b}.gallery-card-cat[data-cat=incident-response]{color:#f87171}.gallery-card-cat[data-cat=code-quality]{color:#a78bfa}.gallery-card-cat[data-cat=migrations]{color:#317cff}.gallery-card-cat[data-cat=data-analytics]{color:#22d3ee}.gallery-card-cat[data-cat=feature-development]{color:#60a5fa}.gallery-card-cat[data-cat=devin-optimization]{color:#2dd4bf}.gallery-card-title{font-size:14px;color:#18181b;line-height:1.3}.dark .gallery-card-title,[data-theme=dark] .gallery-card-title{color:#f4f4f5}.gallery-card-desc{font-size:12px;color:#64748b;line-height:1.45;flex:1;min-height:0;overflow:hidden;position:relative}.gallery-card-desc::after{content:'';position:absolute;bottom:0;left:0;right:0;height:1.45em;background:linear-gradient(to bottom,transparent,#fff);pointer-events:none}.dark .gallery-card-desc::after,[data-theme=dark] .gallery-card-desc::after{background:linear-gradient(to bottom,transparent,#18181b)}.dark .gallery-card-desc,[data-theme=dark] .gallery-card-desc{color:#a1a1aa}.gallery-card-tags{display:flex;gap:4px;flex-wrap:wrap;margin-top:auto;padding-top:8px}.gallery-tag{font-size:9px;padding:1px 6px;border-radius:10px;background:#f1f5f9;color:#94a3b8;font-weight:500}.dark .gallery-tag,[data-theme=dark] .gallery-tag{background:#27272a;color:#71717a}.gallery-popular{position:absolute;top:8px;right:8px;color:#f59e0b;font-size:16px;line-height:1;cursor:default;z-index:2}.uc-detail-wrapper{max-width:960px;margin:0 auto;padding:0 24px;box-sizing:border-box}.uc-hero{background:0 0;padding:64px 0 40px;border-bottom:1px solid #e2e8f0}.dark .uc-hero,[data-theme=dark] .uc-hero{border-bottom-color:#27272a}.uc-hero-inner{max-width:960px;margin:0 auto;padding:0 24px;box-sizing:border-box;width:100%;display:grid;grid-template-columns:1fr 240px;gap:48px;align-items:start}.uc-hero-title{font-size:36px;font-weight:700;color:#18181b;line-height:1.15;margin:0 0 16px;letter-spacing:-.02em}.dark .uc-hero-title,[data-theme=dark] .uc-hero-title{color:#f4f4f5}.uc-hero-desc{font-size:16px;color:#64748b;line-height:1.6;margin:0}.dark .uc-hero-desc,[data-theme=dark] .uc-hero-desc{color:#a1a1aa}.uc-hero-meta,.uc-meta-item{display:flex;flex-direction:column}.uc-hero-meta{gap:20px;padding-top:8px}.uc-meta-item{gap:2px}.uc-meta-label{font-size:11px;font-weight:500;color:#94a3b8;text-transform:uppercase;letter-spacing:.05em}.dark .uc-meta-label,[data-theme=dark] .uc-meta-label{color:#71717a}.uc-meta-value{font-size:14px;font-weight:500;color:#334155}.dark .uc-meta-value,[data-theme=dark] .uc-meta-value{color:#e4e4e7}@media (max-width:768px){.uc-hero{padding:32px 0}.uc-hero-inner{grid-template-columns:1fr;gap:24px;padding:0 16px}.uc-hero-title{font-size:28px}.uc-hero-meta{flex-direction:row;flex-wrap:wrap;gap:20px}}@media (max-width:480px){.uc-hero-title{font-size:24px}.uc-hero-desc{font-size:14px}.uc-hero-meta{flex-direction:column;gap:16px}}.uc-hero .try-in-devin-btn{display:inline-flex;align-items:center;gap:8px;padding:10px 20px;background:#317cff;color:#fff!important;border-radius:8px;font-size:14px;font-weight:500;text-decoration:none!important;transition:background .2s;border:0;cursor:pointer;margin-top:24px;opacity:1}.uc-hero .try-in-devin-btn:hover{background:#2968d9;color:#fff!important}.uc-hero .try-in-devin-logo{width:20px;height:20px}a.mobile-nav-tabs-item[href$=\"/sdk\"],a.mobile-nav-tabs-item[href*=\"/federal\"],a.mobile-nav-tabs-item[href*=\"/sdk/\"],a.nav-tabs-item[href$=\"/sdk\"],a.nav-tabs-item[href*=\"/federal\"],a.nav-tabs-item[href*=\"/sdk/\"]{display:none!important}#sidebar-content a[href$=\"/integrations/databricks\"] img,#sidebar-content a[href$=\"/integrations/linear\"] img,#sidebar-content a[href$=\"/integrations/mongodb\"] img,#sidebar-content a[href$=\"/integrations/pylon\"] img{display:none}#sidebar-content a[href$=\"/integrations/databricks\"]>div:first-child::before,#sidebar-content a[href$=\"/integrations/linear\"]>div:first-child::before,#sidebar-content a[href$=\"/integrations/mongodb\"]>div:first-child::before,#sidebar-content a[href$=\"/integrations/pylon\"]>div:first-child::before{content:\"\";display:block;width:1rem;height:1rem;background-color:#9ca3af}#sidebar-content a[href$=\"/integrations/databricks\"]>div:first-child::before{-webkit-mask:url(/images/databricks.svg) center/contain no-repeat;mask:url(/images/databricks.svg) center/contain no-repeat}#sidebar-content a[href$=\"/integrations/mongodb\"]>div:first-child::before{-webkit-mask:url(/images/mongodb.svg) center/contain no-repeat;mask:url(/images/mongodb.svg) center/contain no-repeat}#sidebar-content a[href$=\"/integrations/pylon\"]>div:first-child::before{-webkit-mask:url(/images/pylon.svg) center/contain no-repeat;mask:url(/images/pylon.svg) center/contain no-repeat}#sidebar-content a[href$=\"/integrations/linear\"]>div:first-child::before{-webkit-mask:url(/images/linear.svg) center/contain no-repeat;mask:url(/images/linear.svg) center/contain no-repeat}.dark #sidebar-content a[href$=\"/integrations/databricks\"]>div:first-child::before,.dark #sidebar-content a[href$=\"/integrations/linear\"]>div:first-child::before,.dark #sidebar-content a[href$=\"/integrations/mongodb\"]>div:first-child::before,.dark #sidebar-content a[href$=\"/integrations/pylon\"]>div:first-child::before,[data-theme=dark] #sidebar-content a[href$=\"/integrations/databricks\"]>div:first-child::before,[data-theme=dark] #sidebar-content a[href$=\"/integrations/linear\"]>div:first-child::before,[data-theme=dark] #sidebar-content a[href$=\"/integrations/mongodb\"]>div:first-child::before,[data-theme=dark] #sidebar-content a[href$=\"/integrations/pylon\"]>div:first-child::before{background-color:#6b7280}#sidebar-content li[data-active]>a[href$=\"/integrations/databricks\"]>div:first-child::before,#sidebar-content li[data-active]>a[href$=\"/integrations/linear\"]>div:first-child::before,#sidebar-content li[data-active]>a[href$=\"/integrations/mongodb\"]>div:first-child::before,#sidebar-content li[data-active]>a[href$=\"/integrations/pylon\"]>div:first-child::before,.dark #sidebar-content li[data-active]>a[href$=\"/integrations/databricks\"]>div:first-child::before,.dark #sidebar-content li[data-active]>a[href$=\"/integrations/linear\"]>div:first-child::before,.dark #sidebar-content li[data-active]>a[href$=\"/integrations/mongodb\"]>div:first-child::before,.dark #sidebar-content li[data-active]>a[href$=\"/integrations/pylon\"]>div:first-child::before,[data-theme=dark] #sidebar-content li[data-active]>a[href$=\"/integrations/databricks\"]>div:first-child::before,[data-theme=dark] #sidebar-content li[data-active]>a[href$=\"/integrations/linear\"]>div:first-child::before,[data-theme=dark] #sidebar-content li[data-active]>a[href$=\"/integrations/mongodb\"]>div:first-child::before,[data-theme=dark] #sidebar-content li[data-active]>a[href$=\"/integrations/pylon\"]>div:first-child::before{background-color:#317cff}.sticky-first-col table td:first-child,.sticky-first-col table th:first-child{position:sticky;left:0;z-index:1;background:#fcfcfc}.dark .sticky-first-col table td:first-child,.dark .sticky-first-col table th:first-child,[data-theme=dark] .sticky-first-col table td:first-child,[data-theme=dark] .sticky-first-col table th:first-child{background:#141414}"}],"page":{"pagePath":"desktop/accounts/sso-scim","slug":"/desktop/accounts/sso-scim","pageMetadata":{"title":"Setting up SSO \u0026 SCIM","sidebarTitle":"SSO \u0026 SCIM","description":"Configure Single Sign-On (SSO) and SCIM provisioning for your organization using Google Workspace, Microsoft Entra ID, Okta, or other SAML identity providers.","keywords":["SSO","SCIM","single sign-on","Okta","Entra ID","Microsoft Entra ID","Azure AD","Google SSO","SAML","identity provider","authentication","provisioning","enterprise","teams"],"href":"/desktop/accounts/sso-scim"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Configure Single Sign-On (SSO) and SCIM provisioning for your organization using Google Workspace, Microsoft Entra ID, Okta, or other SAML identity providers.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Frame,Heading,Note,OptimizedImage,Tab,Tabs}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Frame)_missingMdxReference(`Frame`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Tab)_missingMdxReference(`Tab`,true);if(!Tabs)_missingMdxReference(`Tabs`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:`This feature is only available to Enterprise users.`}),`\n`,_jsx(Note,{children:`This feature is not applicable to Cognition Platform plans. For Cognition Platform, SSO should be configured and managed in your Cognition Platform settings instead.`}),`\n`,_jsxs(Tabs,{children:[_jsxs(Tab,{title:`Google SSO`,id:`google-sso`,\"data-child-heading-ids\":`[\"configure-idp-application\"]`,children:[_jsx(_components.p,{children:`Devin Desktop now supports sign in with Single Sign-On (SSO) via SAML. If your organization uses Microsoft Entra, Okta, Google Workspaces, or some other identity provider that supports SAML, you will be able to use SSO with Devin Desktop.`}),_jsx(Note,{children:`Devin Desktop only supports SP-initiated SSO; IDP-initiated SSO is NOT currently supported.`}),_jsx(Heading,{level:`3`,id:`configure-idp-application`,children:`Configure IDP Application`}),_jsxs(_components.p,{children:[`On the google admin console (admin.google.com) click `,_jsx(_components.strong,{children:`Apps -> Web and mobile apps`}),` on the left.`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=7810e96dc693e041669155ed802dadda`,\"data-og-width\":`530`,width:`530`,\"data-og-height\":`788`,height:`788`,\"data-path\":`desktop/assets/auth/sso-google.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b30230c09a1deca97784513fb1238982 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c0b85cdef8f32f9777c6b28841322d43 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=e814bfc53abcbf76eaccb6f8a94c1776 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b34f2aec2fcb2d4fa0c50a4453e4c099 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=9a08b4a9d4de2310d46504c77b7ca2c8 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=5b522ad007818fa785dec22f750fad9a 2500w`})}),_jsxs(_components.p,{children:[`Click on `,_jsx(_components.strong,{children:`Add app`}),`, and then `,_jsx(_components.strong,{children:`Add custom SAML app`}),`.`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google2.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=1b16524d7a4910a763158a7b1640261c`,\"data-og-width\":`514`,width:`514`,\"data-og-height\":`534`,height:`534`,\"data-path\":`desktop/assets/auth/sso-google2.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google2.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=05b6255af11c80875f8b2138cde78a1a 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google2.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=ec08f6ca2db8dd1da62ff6bbd5294574 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google2.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c007afbb5a9fc5603e315c1271d8f5f6 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google2.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=8dda0b1d7cb48dfc05b5a5b0e66813c6 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google2.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=6f62939f31a0d7f7eb0820e150298d09 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google2.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c80913bff02fdf0e6f06d18d9dfd63a1 2500w`})}),_jsxs(_components.p,{children:[`Fill out `,_jsx(_components.strong,{children:`App name`}),` with `,_jsx(_components.code,{children:`Windsurf`}),`, and click `,_jsx(_components.strong,{children:`Next`}),`.`]}),_jsxs(_components.p,{children:[`The next screen (Google Identity Provider details) on Google’s console page has data you’ll need to copy to Devin Desktop’s SSO settings on `,_jsx(_components.a,{href:`https://windsurf.com/team/settings`,children:`https://windsurf.com/team/settings`}),`. In Devin Desktop’s SSO settings, turn on the `,_jsx(_components.strong,{children:`SAML Settings`}),` toggle first so the fields can be edited.`]}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Copy `,_jsx(_components.strong,{children:`SSO URL`}),` from Google’s console page to Devin Desktop’s settings under `,_jsx(_components.strong,{children:`SSO URL`})]}),`\n`,_jsxs(_components.li,{children:[`Copy `,_jsx(_components.strong,{children:`Entity ID`}),` from Google’s console page to Devin Desktop’s settings under `,_jsx(_components.strong,{children:`Idp Entity ID`})]}),`\n`,_jsxs(_components.li,{children:[`Copy `,_jsx(_components.strong,{children:`Certificate`}),` from Google’s console page to Devin Desktop’s settings under `,_jsx(_components.strong,{children:`X509 Certificate`})]}),`\n`,_jsxs(_components.li,{children:[`Click `,_jsx(_components.strong,{children:`Continue`}),` on Google’s console page`]}),`\n`]}),_jsx(_components.p,{children:`The next screen on Google’s console page requires you to copy data from Codeium’s settings page`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Copy `,_jsx(_components.strong,{children:`Callback URL`}),` from Codeium’s settings page to Google’s console page under `,_jsx(_components.strong,{children:`ACS URL`})]}),`\n`,_jsxs(_components.li,{children:[`Copy `,_jsx(_components.strong,{children:`SP Entity ID`}),` from Codeium’s settings page to Google’s console page under `,_jsx(_components.strong,{children:`SP Entity ID`})]}),`\n`,_jsxs(_components.li,{children:[`Change `,_jsx(_components.strong,{children:`Name ID`}),` format to `,_jsx(_components.strong,{children:`EMAIL`})]}),`\n`,_jsxs(_components.li,{children:[`Click `,_jsx(_components.strong,{children:`Continue`}),` on Google’s console page`]}),`\n`]}),_jsx(_components.p,{children:`The next screen on Google’s console page requires some configuration`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Click on `,_jsx(_components.strong,{children:`Add Mapping`}),`, select `,_jsx(_components.strong,{children:`First name`}),` and set the `,_jsx(_components.strong,{children:`App attributes`}),` to `,_jsx(_components.strong,{children:`firstName`})]}),`\n`,_jsxs(_components.li,{children:[`Click on `,_jsx(_components.strong,{children:`Add Mapping`}),`, select `,_jsx(_components.strong,{children:`Last name`}),` and set the `,_jsx(_components.strong,{children:`App attributes`}),` to `,_jsx(_components.strong,{children:`lastName`})]}),`\n`,_jsxs(_components.li,{children:[`Click `,_jsx(_components.strong,{children:`Finish`})]}),`\n`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google3.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=302216735a61b852fe856bdf08662546`,\"data-og-width\":`2078`,width:`2078`,\"data-og-height\":`862`,height:`862`,\"data-path\":`desktop/assets/auth/sso-google3.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google3.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=f7413b14fce6a9b8f639181665363838 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google3.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=7f8f0b94e8ec4b9695847443dd81399d 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google3.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=71a5e1a36b8dffd0778f4d0f55027709 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google3.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=0a2408460755ee43bcf37cbc481c0141 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google3.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=40efee34812445874449667e95c906ba 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-google3.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=ef7da4b5b94fc9b9bbd336a854ebecad 2500w`})}),_jsxs(_components.p,{children:[`On Codeium’s settings page, with the `,_jsx(_components.strong,{children:`SAML Settings`}),` toggle turned on, click `,_jsx(_components.strong,{children:`Test`}),` to make sure login works as expected. The `,_jsx(_components.strong,{children:`Save`}),` button only appears after the test succeeds; click `,_jsx(_components.strong,{children:`Save`}),` to apply the configuration. All users now will have SSO login enforced.`]})]}),_jsxs(Tab,{title:`Microsoft Entra ID`,id:`microsoft-entra-id`,\"data-child-heading-ids\":`[\"part-1%3A-create-enterprise-application-in-microsoft-entra-id\",\"part-2%3A-configure-saml-and-user-attributes-in-microsoft-entra-id\",\"part-3%3A-configure-sso-settings-in-devin-desktop-portal\"]`,children:[_jsx(_components.p,{children:`Devin Desktop Enterprise now supports sign in with Single Sign-On (SSO) via SAML. If your organization uses Microsoft Entra ID (formerly Azure AD), you will be able to use SSO with Devin Desktop.`}),_jsx(Note,{children:`Devin Desktop only supports SP-initiated SSO; IDP-initiated SSO is NOT currently supported.`}),_jsx(Heading,{level:`2`,id:`part-1-create-enterprise-application-in-microsoft-entra-id`,children:`Part 1: Create Enterprise Application in Microsoft Entra ID`}),_jsxs(Note,{children:[`All steps in this section are performed in the `,_jsx(_components.strong,{children:`Microsoft Entra ID admin center`}),`.`]}),_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`In Microsoft Entra ID, click on `,_jsx(_components.strong,{children:`Add`}),`, and then `,_jsx(_components.strong,{children:`Enterprise Application`}),`.`]}),`\n`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=6d420c5134b4cfe78b0eb4ea8c63102d`,\"data-og-width\":`854`,width:`854`,\"data-og-height\":`384`,height:`384`,\"data-path\":`desktop/assets/auth/sso-azure.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=fab28d4835499354b09f07b24d56c5bc 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=a84242a677e2b56d5bfbdce30ee3f8b3 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=262eb3207d7e6e129fd27701c5186f72 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=cbc77b2f5e08574d639b565befe925ad 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=86253651ce4eaec40936142494d33f8c 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=bfd1da5800dbb081130f3e5833a5bbed 2500w`})}),_jsxs(_components.ol,{start:`2`,children:[`\n`,_jsxs(_components.li,{children:[`Click on `,_jsx(_components.strong,{children:`Create your own application`}),`.`]}),`\n`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure2.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=0d65488fc58dddef5132e2302786d97b`,\"data-og-width\":`680`,width:`680`,\"data-og-height\":`202`,height:`202`,\"data-path\":`desktop/assets/auth/sso-azure2.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure2.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=4829f7a70ed358d8aa06e3eb42b805f7 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure2.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=038e988f444d98e97069536acbb63e4f 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure2.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=26285ec1c22f5e2f297e2502bb42f6f7 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure2.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=42d736267b73c860f95ecaa31f94726a 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure2.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=fa9b1c117c252e0ea15ad3db9b4569bb 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure2.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=bcf5740e3f09633501b53e4c6a4e237b 2500w`})}),_jsxs(_components.ol,{start:`3`,children:[`\n`,_jsxs(_components.li,{children:[`Name your application `,_jsx(_components.strong,{children:`Devin Desktop`}),`, select `,_jsx(_components.em,{children:`Integrate any other application you don’t find in the gallery`}),`, and then click `,_jsx(_components.strong,{children:`Create`}),`.`]}),`\n`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure3.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=e8f849cd706fba53560dd24b8c7db2f8`,\"data-og-width\":`968`,width:`968`,\"data-og-height\":`342`,height:`342`,\"data-path\":`desktop/assets/auth/sso-azure3.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure3.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=016496383b327351acec140ee43aad8b 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure3.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=a5089a6fac6b42d3fe533fa680d129b4 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure3.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=70b6882c5dc3e8f61105e1601da1e9ed 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure3.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=fc80ef7941e1f37e49a44f1c287aa9a2 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure3.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=48e8a84d291c21350898bfd4da11b76d 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-azure3.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b1e2c61a14290570e2c264578fc0cff6 2500w`})}),_jsx(Heading,{level:`2`,id:`part-2-configure-saml-and-user-attributes-in-microsoft-entra-id`,children:`Part 2: Configure SAML and User Attributes in Microsoft Entra ID`}),_jsxs(Note,{children:[`All steps in this section are performed in the `,_jsx(_components.strong,{children:`Microsoft Entra ID admin center`}),`.`]}),_jsxs(_components.ol,{start:`4`,children:[`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[`In your new Devin Desktop application, click on `,_jsx(_components.strong,{children:`Set up single sign on`}),`, then click `,_jsx(_components.strong,{children:`SAML`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[`Click on `,_jsx(_components.strong,{children:`Edit`}),` under `,_jsx(_components.strong,{children:`Basic SAML Configuration`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Keep this Entra ID tab open`}),` and open a new tab to navigate to the `,_jsx(_components.strong,{children:`Devin Desktop Teams SSO settings`}),` at `,_jsx(_components.a,{href:`https://windsurf.com/team/settings`,children:`https://windsurf.com/team/settings`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[`In the `,_jsx(_components.strong,{children:`Microsoft Entra ID`}),` SAML configuration form:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Identifier (Entity ID)`}),`: Copy the `,_jsx(_components.strong,{children:`SP Entity ID`}),` value from the `,_jsx(_components.strong,{children:`Devin Desktop SSO settings page`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Reply URL (Assertion Consumer Service URL)`}),`: Copy the `,_jsx(_components.strong,{children:`Callback URL`}),` value from the `,_jsx(_components.strong,{children:`Devin Desktop SSO settings page`})]}),`\n`,_jsxs(_components.li,{children:[`Click `,_jsx(_components.strong,{children:`Save`}),` at the top`]}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[`Configure user attributes for proper name display. In `,_jsx(_components.strong,{children:`Microsoft Entra ID`}),`, under `,_jsx(_components.strong,{children:`Attributes \u0026 Claims`}),`, click `,_jsx(_components.strong,{children:`Edit`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[`Create 2 new claims by clicking `,_jsx(_components.strong,{children:`Add new claim`}),` for each:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`First claim`}),`: Name = `,_jsx(_components.code,{children:`firstName`}),`, Source attribute = `,_jsx(_components.code,{children:`user.givenname`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Second claim`}),`: Name = `,_jsx(_components.code,{children:`lastName`}),`, Source attribute = `,_jsx(_components.code,{children:`user.surname`})]}),`\n`]}),`\n`]}),`\n`]}),_jsx(Heading,{level:`2`,id:`part-3-configure-sso-settings-in-devin-desktop-portal`,children:`Part 3: Configure SSO Settings in Devin Desktop Portal`}),_jsxs(Note,{children:[`Complete the configuration in the `,_jsx(_components.strong,{children:`Devin Desktop portal`}),` (`,_jsx(_components.a,{href:`https://windsurf.com/team/settings`,children:`https://windsurf.com/team/settings`}),`).`]}),_jsxs(_components.ol,{start:`10`,children:[`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[`In the `,_jsx(_components.strong,{children:`Devin Desktop SSO settings page`}),`, turn on the `,_jsx(_components.strong,{children:`SAML Settings`}),` toggle so the fields can be edited, then fill in:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Pick your SSO ID`}),`: Choose a unique identifier for your team’s login portal (this cannot be changed later)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`IdP Entity ID`}),`: Copy the value from `,_jsx(_components.strong,{children:`Microsoft Entra ID`}),` under `,_jsx(_components.strong,{children:`Set up Devin Desktop`}),` → `,_jsx(_components.strong,{children:`Microsoft Entra Identifier`}),`\n`,_jsxs(Note,{children:[`The IdP Entity ID URL must end with a trailing `,_jsx(_components.code,{children:`/`}),` (e.g., `,_jsx(_components.code,{children:`https://sts.windows.net/{tenant-id}/`}),`). If the URL does not include the trailing slash, add it manually.`]})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`SSO URL`}),`: Copy the `,_jsx(_components.strong,{children:`Login URL`}),` value from `,_jsx(_components.strong,{children:`Microsoft Entra ID`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`X509 Certificate`}),`: Download the `,_jsx(_components.strong,{children:`SAML certificate (Base64)`}),` from `,_jsx(_components.strong,{children:`Microsoft Entra ID`}),`, open the file, and paste the text content here`]}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Test the configuration`}),`: In the `,_jsx(_components.strong,{children:`Devin Desktop portal`}),`, click `,_jsx(_components.strong,{children:`Test`}),` to verify the SSO configuration works as expected.`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[`After the test succeeds, click `,_jsx(_components.strong,{children:`Save`}),` to apply the configuration. The `,_jsx(_components.strong,{children:`Save`}),` button only appears after a successful test.`]}),`\n`]}),`\n`]}),_jsxs(Note,{children:[_jsx(_components.strong,{children:`Important`}),`: Do not log out or close the Devin Desktop settings page until you’ve successfully tested the login. If the test fails, you may need to troubleshoot your configuration before proceeding.`]})]}),_jsxs(Tab,{title:`Okta SSO`,id:`okta-sso`,\"data-child-heading-ids\":`[\"configure-idp-application-2\",\"register-okta-as-a-saml-provider\",\"caveats\",\"troubleshooting\",\"login-with-saml-config-failed%3A-firebase%3A-error-auth%2Foperation-not-allowed\",\"login-with-saml-config-failed%3A-firebase%3A-saml-response-%3Cissuer%3E-mismatch-auth%2Finvalid-credential\",\"failed-to-verify-the-signature-in-samlresponse\"]`,children:[_jsx(_components.p,{children:`Devin Desktop Enterprise now supports sign in with Single Sign-On (SSO) via SAML. If your organization uses Microsoft Entra, Okta, Google Workspaces, or some other identity provider that supports SAML, you will be able to use SSO with Devin Desktop.`}),_jsx(Note,{children:`Devin Desktop only supports SP-initiated SSO; IDP-initiated SSO is NOT currently supported.`}),_jsx(Heading,{level:`3`,id:`configure-idp-application-2`,children:`Configure IDP Application`}),_jsx(_components.p,{children:`Click on Applications on the left sidebar, and then Create App Integration`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta1.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=6eb8809b268cee036ff026efbf3d2a8b`,\"data-og-width\":`1248`,width:`1248`,\"data-og-height\":`962`,height:`962`,\"data-path\":`desktop/assets/auth/sso-okta1.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta1.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=4ec73b1af654947215f3b014ddf6e460 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta1.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c77416a1640fa74276fe7139cacebc2d 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta1.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=a0340537813f4b353ad7d9e5e4ef292f 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta1.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=d69015f15c0f7324f87beab05f84279a 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta1.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=24337cd9721b0ee7b09273ff1dc376a9 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta1.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=7801e4f32df016f7dd432984b3accf06 2500w`})}),_jsx(_components.p,{children:`Select SAML 2.0 as the sign-in method`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta2.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=8ac307ec0fa12222044fe6bffd8815ff`,\"data-og-width\":`1600`,width:`1600`,\"data-og-height\":`1023`,height:`1023`,\"data-path\":`desktop/assets/auth/sso-okta2.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta2.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=22b02a381533d7c15dbd63f8725e94d6 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta2.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=42c83824bd1535e595410be6ff90b3e5 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta2.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=d1b953b2bcb6d64f0ed9be7a19d4d22d 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta2.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c5d427c02c0c400c78052a3d1a27ae29 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta2.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b27ca73174eb235d6eca3503c1030a34 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta2.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=3dc7c53e83a2f38b74bf6536968b5ece 2500w`})}),_jsx(_components.p,{children:`Set the app name as Devin Desktop (or to any other name), and click Next`}),_jsx(_components.p,{children:`Configure the SAML settings as`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Single sign-on URL to `,_jsx(_components.a,{href:`https://auth.windsurf.com/__/auth/handler`,children:`https://auth.windsurf.com/__/auth/handler`})]}),`\n`,_jsxs(_components.li,{children:[`Audience URI (SP Entity ID) to `,_jsx(_components.a,{href:`http://www.codeium.com`,children:`www.codeium.com`})]}),`\n`,_jsx(_components.li,{children:`NameID format to EmailAddress`}),`\n`,_jsx(_components.li,{children:`Application username to Email`}),`\n`]}),_jsxs(_components.p,{children:[`Configure the attribute statements as following, and then click `,_jsx(_components.strong,{children:`Next`}),`.`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta3.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=2a8c2ee27d3b989fd3f888178c3fa290`,\"data-og-width\":`1398`,width:`1398`,\"data-og-height\":`602`,height:`602`,\"data-path\":`desktop/assets/auth/sso-okta3.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta3.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=88157f68514ae83af79665acd6a6d009 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta3.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b947c6bff4eb92d5dedb799f2012267a 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta3.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=eca84a7d51894b35656a03b7b9599d18 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta3.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=5dd0c4909a4e97232b29858b84484dcf 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta3.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=4e7eacfdae55e10d399e6122b63fc3d2 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta3.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=86f59a1a68bce979cbe895a05d3b8842 2500w`})}),_jsxs(_components.p,{children:[`In the feedback section, select “This is an internal app that we have created”, and click `,_jsx(_components.strong,{children:`Finish`}),`.`]}),_jsx(Heading,{level:`3`,id:`register-okta-as-a-saml-provider`,children:`Register Okta as a SAML provider`}),_jsx(_components.p,{children:`You should be redirected to the Sign on tab under your custom SAML application. Now you’ll want to take the info in this page and fill it out in Devin Desktop’s SSO settings.`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Open `,_jsx(_components.a,{href:`https://windsurf.com/team/settings`,children:`https://windsurf.com/team/settings`}),`, and click `,_jsx(_components.strong,{children:`Configure`}),` under `,_jsx(_components.strong,{children:`SSO and SAML Configuration`})]}),`\n`,_jsxs(_components.li,{children:[`Turn on the `,_jsx(_components.strong,{children:`SAML Settings`}),` toggle so the fields can be edited`]}),`\n`,_jsx(_components.li,{children:`Copy the text after ‘Issuer’ in Okta’s application page and paste it under Idp Entity ID`}),`\n`,_jsx(_components.li,{children:`Copy the text after ‘Sign on URL’ in Okta’s application page and paste it under SSO URL`}),`\n`,_jsx(_components.li,{children:`Download the Signing Certificate and paste it under X509 certificate`}),`\n`,_jsxs(_components.li,{children:[`Test the login with the `,_jsx(_components.strong,{children:`Test`}),` button. You should see a success message:`]}),`\n`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta4.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=2ef70eafed0d4ba96ce4a8edd3fee22e`,\"data-og-width\":`1046`,width:`1046`,\"data-og-height\":`270`,height:`270`,\"data-path\":`desktop/assets/auth/sso-okta4.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta4.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=18eb7aa2c673d33c788375ccc06839d5 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta4.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=251530ca23f9a6d867f9cd4166ea790c 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta4.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=260244ed47fafdd0d6e2bd9be391ba44 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta4.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=9ecbaa5fe48411934a13ea4a2805abc4 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta4.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=451ee05b8f4bdb1dc2c8328ca940a1bb 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta4.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=1ba69052c416789efa890a4160abd1e1 2500w`})}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Click `,_jsx(_components.strong,{children:`Save`}),` to apply the configuration. The `,_jsx(_components.strong,{children:`Save`}),` button only appears after a successful test.`]}),`\n`]}),_jsx(_components.p,{children:`At this point everything should have been configured, and can now add users to the new Devin Desktop Okta application.`}),_jsx(_components.p,{children:`You should share your organization’s custom Login Portal URL with your users and ask them to sign in via that link.`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta5.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b5fda36a5d2c90e95351ec8718da43e7`,\"data-og-width\":`988`,width:`988`,\"data-og-height\":`312`,height:`312`,\"data-path\":`desktop/assets/auth/sso-okta5.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta5.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=84a6d3bd91b5718a57de7c2a641a8f8d 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta5.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=ea6bb657c39f2fed571eb61c47a057d0 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta5.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=ae24c78d3f5c308567d31db05f1c3a87 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta5.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c4081d44334a8831f613036f04ffe1e4 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta5.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=4b4a7100f934c1e3ec40dae578677484 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta5.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=dfc1953e13b6ab7110ac3b28df7dd7bc 2500w`})}),_jsx(_components.p,{children:`Users who login to Devin Desktop via SSO will be auto-approved into the team.`}),_jsx(Heading,{level:`3`,id:`caveats`,children:`Caveats`}),_jsx(_components.p,{children:`Note that Devin Desktop does not currently support IDP-initiated login flows.`}),_jsx(_components.p,{children:`We also do not yet support OIDC.`}),_jsx(Heading,{level:`1`,id:`troubleshooting`,children:`Troubleshooting`}),_jsx(Heading,{level:`3`,id:`login-with-saml-config-failed-firebase-error-auth/operation-not-allowed`,children:`Login with SAML config failed: Firebase: Error (auth/operation-not-allowed)`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta6.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=08b82467d671872b5aec9ea7ec5e9894`,\"data-og-width\":`617`,width:`617`,\"data-og-height\":`92`,height:`92`,\"data-path\":`desktop/assets/auth/sso-okta6.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta6.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=68d090797f73cb6dfa0bcac9a1f18c93 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta6.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=306751681a6552a9d02ae31b0392c74d 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta6.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=1288d52a38550f79bff1fa0c5d5278b4 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta6.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=61124b02c5c367ba0818678fbc28c828 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta6.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=82b77476e3fccaea1c5dcb7a3fa32bb3 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta6.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=5470ca6f2f37d25c7dd29af80d0ef15b 2500w`})}),_jsx(_components.p,{children:`This points to your an invalid SSO ID, or your SSO URL being incorrect, make sure it is alphanumeric and has no extra spaces or invalid characters. Please go over the steps in the guide again and make sure you use the correct values.`}),_jsx(Heading,{level:`3`,id:`login-with-saml-config-failed-firebase-saml-response-\u003cissuer>-mismatch-auth/invalid-credential`,children:`Login with SAML config failed: Firebase: SAML Response \u003cIssuer> mismatch. (auth/invalid-credential)`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta7.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=7c2bd2cdffd3a61145313cb209572ae5`,\"data-og-width\":`752`,width:`752`,\"data-og-height\":`117`,height:`117`,\"data-path\":`desktop/assets/auth/sso-okta7.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta7.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=32524fe87293a65d5e3aeba14039a637 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta7.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c1025dfa0bdab88a985ecda6869545e9 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta7.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b23a86a121893ab189aaad606d3a3c41 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta7.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=10708f21e03223a7c2fc28a34536d0ab 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta7.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=a6e52653c0419a4696e943f068356d7e 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/sso-okta7.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=ab7b0ba6f01fa15632b7591cfb389a47 2500w`})}),_jsx(_components.p,{children:`This points to your IdP entity ID being invalid, please make sure you copy it correctly from the Okta portal, without any extra characters or spaces before or after the string.`}),_jsx(Heading,{level:`3`,id:`failed-to-verify-the-signature-in-samlresponse`,children:`Failed to verify the signature in samlresponse`}),_jsx(_components.p,{children:`This points to an incorrect value of your X509 certificate, please make sure you copy the correct key, and that it is formatted as:`}),_jsx(CodeBlock,{numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-----BEGIN CERTIFICATE-----`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`value`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`------END CERTIFICATE------`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Tab,{title:`Microsoft Entra ID SCIM`,id:`microsoft-entra-id-scim`,\"data-child-heading-ids\":`[\"step-1%3A-create-a-role-with-scim-permissions\",\"step-2%3A-navigate-to-the-existing-devin-desktop-application\",\"step-3%3A-setup-scim-provisioning\",\"step-4%3A-configure-scim-provisioning\"]`,children:[_jsx(_components.p,{children:`Devin Desktop supports SCIM synchronization for users and groups with Microsoft Entra ID. It isn’t necessary to setup SSO to use SCIM synchronization, but it is highly recommended.`}),_jsx(_components.p,{children:`You’ll need:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Admin access to Microsoft Entra ID`}),`\n`,_jsx(_components.li,{children:`Admin access to Devin Desktop`}),`\n`,_jsx(_components.li,{children:`An existing Devin Desktop Application on Entra ID (normally from your existing SSO application)`}),`\n`]}),_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Service Key Permissions Required`})}),_jsx(_components.p,{children:`The service key used for SCIM provisioning must have the following permissions:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Teams Read-Only`}),` - Required to read user and group information`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Teams Update`}),` - Required to create and update users and groups`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Teams Delete`}),` - Required to deactivate/delete users and groups`]}),`\n`]}),_jsx(_components.p,{children:`You can create a custom role with these permissions or use an existing admin role that includes them.`})]}),_jsx(Heading,{level:`2`,id:`step-1-create-a-role-with-scim-permissions`,children:`Step 1: Create a Role with SCIM Permissions`}),_jsx(_components.p,{children:`Before setting up SCIM provisioning, you need to create a role with the required permissions.`}),_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`Go to `,_jsx(_components.a,{href:`https://windsurf.com/team/settings`,children:`Windsurf Team Settings`})]}),`\n`,_jsxs(_components.li,{children:[`Under “Other Settings”, click `,_jsx(_components.strong,{children:`Configure`}),` next to `,_jsx(_components.strong,{children:`Role Management`})]}),`\n`,_jsxs(_components.li,{children:[`Click `,_jsx(_components.strong,{children:`Add Role`}),` and name it “SCIM Provisioning”`]}),`\n`,_jsxs(_components.li,{children:[`Add the following permissions:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Teams Read-Only`}),`\n`,_jsx(_components.li,{children:`Teams Update`}),`\n`,_jsx(_components.li,{children:`Teams Delete`}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`Click `,_jsx(_components.strong,{children:`Save`})]}),`\n`]}),_jsx(Heading,{level:`2`,id:`step-2-navigate-to-the-existing-devin-desktop-application`,children:`Step 2: Navigate to the existing Devin Desktop Application`}),_jsx(_components.p,{children:`Go to Microsoft Entra ID on Azure, click on Enterprise applications on the left sidebar, and then click on the existing Devin Desktop application in the list.`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=fb5751e72abe48cf1b3538e5a44bdefb`,\"data-og-width\":`1258`,width:`1258`,\"data-og-height\":`664`,height:`664`,\"data-path\":`desktop/assets/auth/scim-azure.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=5f133d92a8d6c2b2d34810d4d22ebf26 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b72ad03ec9d961c6cc85574de3059c3e 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=62cf8113a283f2cf4716484b41ae9ade 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=9a6cf4fcfa6b1e7c76ef16de5960dcf3 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=51aad3d242e4ba05d2ec6c004bfa7c83 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c7a59283389055bf71428865a8e0982e 2500w`})}),_jsx(Heading,{level:`2`,id:`step-3-setup-scim-provisioning`,children:`Step 3: Setup SCIM provisioning`}),_jsx(_components.p,{children:`Click on Get started under Provision User Accounts in the middle (step 3), and then click on Get started again.`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure2.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=ca6c92bd1b8c613abed615592ae3d2fe`,\"data-og-width\":`2582`,width:`2582`,\"data-og-height\":`1858`,height:`1858`,\"data-path\":`desktop/assets/auth/scim-azure2.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure2.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=f129f0ec663f9180ab326bc2837bfd40 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure2.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=6e720d1fe3cd562663411db64f63412a 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure2.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=2ef15236979bba624c6055ba283c383d 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure2.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=f350394571160a087b2a67bd03df16e1 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure2.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=68f0c2e22f4450cee015bd5eaaba0e01 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure2.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=aadd9d64e678497f4001f7c9d4502c99 2500w`})}),_jsx(_components.p,{children:`Under the Provisioning setup page, select the following options.`}),_jsx(_components.p,{children:`Provisioning Mode: Automatic`}),_jsxs(_components.p,{children:[`Admin Credentials > Tenant URL: `,_jsx(_components.a,{href:`https://server.codeium.com/scim/v2`,children:`https://server.codeium.com/scim/v2`})]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure-admin-credentials.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=96e23cf9346819cc6ffd82cdbf5b6258`,\"data-og-width\":`560`,width:`560`,\"data-og-height\":`416`,height:`416`,\"data-path\":`desktop/assets/auth/scim-azure-admin-credentials.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure-admin-credentials.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=540f75b9a92b5406cb9413378c0c2ba9 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure-admin-credentials.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=65841f6bd7e64a38f25f02fbee59c3da 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure-admin-credentials.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=aa471ec8d4f9ad9b276d998928e7249c 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure-admin-credentials.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=cc84b50fb83414633f3f8531ea79f3d2 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure-admin-credentials.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=e1656d6988f366672afefde193deb8bd 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure-admin-credentials.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=93c730cd4e44bdee4856248f8b9bc3c3 2500w`})}),_jsxs(_components.p,{children:[`Leave the Azure provisioning page open, now go to the Devin Desktop web portal, and click on the profile icon in the NavBar on the top of the page.Under Team Settings, select Service Key and click on Add Service Key. Enter any key name (such as ‘Azure SCIM Provisioning’), `,_jsx(_components.strong,{children:`select the “SCIM Provisioning” role you created earlier`}),`, and click Create Service Key. Copy the output key, go back to the Azure page, paste it to Secret Token.`]}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure3.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=a52f8263be88f02ff8aff6e13024d4eb`,\"data-og-width\":`1612`,width:`1612`,\"data-og-height\":`1013`,height:`1013`,\"data-path\":`desktop/assets/auth/scim-azure3.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure3.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=21158adfef976458c4eea5abd76da77b 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure3.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=778b4db75275f09903792e08ec117fec 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure3.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=373a302664b4ea186cde80e2692cda61 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure3.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=b6cf31bdaff1978e290d83d3c9d46871 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure3.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=15c393fafcef5d2fabaed9e4051f7c48 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure3.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=607256e6b37e22db3e21d7ccedd40cf0 2500w`})}),_jsx(_components.p,{children:`(What you should see after creating the key on Devin Desktop)`}),_jsx(_components.p,{children:`On the Provisioning page, click on Test Connection and that should have verified the SCIM connection.`}),_jsx(_components.p,{children:`Now above the Provisioning form click on Save.`}),_jsx(Heading,{level:`2`,id:`step-4-configure-scim-provisioning`,children:`Step 4: Configure SCIM Provisioning`}),_jsx(_components.p,{children:`After clicking on Save, a new option Mappings should have appeared in the Provisioning page. Expand Mappings, and click on Provision Microsoft Entra ID Users`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure4.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=24e984597151c2f9cbb27f1a1718ca8a`,\"data-og-width\":`666`,width:`666`,\"data-og-height\":`438`,height:`438`,\"data-path\":`desktop/assets/auth/scim-azure4.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure4.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=dafbacd5effc7382d1efbe6f5f15e525 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure4.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=6bdc7cad80326df3ab286e3e7966450b 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure4.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=2e4a85fd7c60002d97a3591e96e4d7a3 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure4.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=7ea606f443ac2cc358cbc5d8b5d6eb14 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure4.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=e99d8492ae784585cb58fc5b4c794767 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure4.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=022d302d08ee4405ed78af850a62e0d0 2500w`})}),_jsx(_components.p,{children:`Under attribute Mappings, delete all fields under displayName, leaving only the fields userName, active, and displayName.`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure5.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=1dc3ac7839403c2ce6cb6d93ff51fc65`,\"data-og-width\":`1260`,width:`1260`,\"data-og-height\":`190`,height:`190`,\"data-path\":`desktop/assets/auth/scim-azure5.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure5.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=f2d55bdc5468d6548f3a890596fd1687 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure5.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=6337a8142ec0ea3f2244a3c0b40111f8 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure5.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=fee037bd67f7746f83c8036cfcb83189 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure5.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=0f22a9080149ca10424c24739ec9f786 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure5.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=593ef5134f6ce22666811150d1487e83 1650w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure5.png?w=2500\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=7a3c1d71193ecd4f3aedb98f2656c677 2500w`})}),_jsx(_components.p,{children:`For active, now click on Edit. Under Expression, modify the field to`}),_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`NOT([IsSoftDeleted])`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),_jsx(_components.p,{children:`Then click Ok.`}),_jsx(_components.p,{children:`Your user attributes should look like`}),_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure6.png?fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=1e2db093b70de25fc98a9ffec9a924a6`,\"data-og-width\":`2826`,width:`2826`,\"data-og-height\":`490`,height:`490`,\"data-path\":`desktop/assets/auth/scim-azure6.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure6.png?w=280\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=351aba5ce08dcf34fcca6cbebce70660 280w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure6.png?w=560\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=a6c698218bf3745fead10bceee3281cf 560w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure6.png?w=840\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=09dfff855bdbdc402c09d1dfcfd74d48 840w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure6.png?w=1100\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=c379f28831ccde4c278b18288e21df1f 1100w, https://mintcdn.com/cognitionai/-PTA3zzo2bR9Qfc8/desktop/assets/auth/scim-azure6.png?w=1650\u0026fit=max\u0026auto=format\u0026n=-PTA3zzo2bR9Qfc8\u0026q=85\u0026s=d
[...]
